Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 700331 - Remove inspectstyle() from the Web Console
: Remove inspectstyle() from the Web Console
: verified-beta
Product: Firefox
Classification: Client Software
Component: Developer Tools (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 11
Assigned To: Mihai Sucan [:msucan]
: (Unavailable until Nov 1) Brian Grinstead [:bgrins]
Depends on:
  Show dependency treegraph
Reported: 2011-11-07 09:11 PST by Mihai Sucan [:msucan]
Modified: 2012-01-03 13:12 PST (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

[in-fx-team] proposed patch (17.98 KB, patch)
2011-11-07 11:23 PST, Mihai Sucan [:msucan]
rcampbell: review+
l10n: review+
Details | Diff | Splinter Review
patch for aurora (15.95 KB, patch)
2011-11-15 11:30 PST, Mihai Sucan [:msucan]
christian: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mihai Sucan [:msucan] 2011-11-07 09:11:11 PST
We now have the Style Inspector in the Inspector/Highlighter feature - we can remove inspectstyle() from the Web Console.
Comment 1 Mihai Sucan [:msucan] 2011-11-07 11:23:46 PST
Created attachment 572548 [details] [diff] [review]
[in-fx-team] proposed patch

Proposed patch.

Please let me know if I forgot something. Thanks!
Comment 2 Rob Campbell [:rc] (:robcee) 2011-11-08 08:42:53 PST
Comment on attachment 572548 [details] [diff] [review]
[in-fx-team] proposed patch

I think this is good, though a little fuzzy on our rules for l10n changes in aurora. Should be OK, but let's ask Axel if this is something we can do or not.
Comment 3 Mihai Sucan [:msucan] 2011-11-08 08:45:09 PST
Thank you Rob for the r+!

Nominating this bug for Firefox 10 aurora.

Impact: low. This patch removes a Web Console function named inspectstyle(). Users have to know it exists.

Risk: low. This patch simply removes code and should not cause regressions.

Benefits: inspectstyle() opens the Style Inspector in a xul:panel that is generally buggy. Given the Style Inspector is now much more usable from the Inspector/Highlighter feature, we should only allow that usage pattern. This is also less code maintenance for us.

Please let me know if you have further questions/unanswered concerns regarding the patch. Thank you!
Comment 4 Axel Hecht [:Pike] 2011-11-08 08:59:00 PST
Comment on attachment 572548 [details] [diff] [review]
[in-fx-team] proposed patch

Review of attachment 572548 [details] [diff] [review]:

For Aurora, we just shouldn't land the string removal, and let that cycle through in the next iteration. The strings are already on aurora, so we're not winning a lot by adding noise by removing the post merge.
Comment 5 Mihai Sucan [:msucan] 2011-11-15 11:30:15 PST
Created attachment 574630 [details] [diff] [review]
patch for aurora

Patch for Aurora, without the string removals.

Thanks for the r+ Axel!
Comment 6 christian 2011-11-15 14:48:20 PST
Comment on attachment 574630 [details] [diff] [review]
patch for aurora

[triage comment]
Approved for aurora. If it had l10n impact, it would not have met the criteria and would have been denied. Please land on aurora asap.
Comment 7 Mihai Sucan [:msucan] 2011-11-16 03:34:56 PST
Thank you Christian for your approval!
Comment 8 Mihai Sucan [:msucan] 2011-11-16 08:44:39 PST
Comment on attachment 572548 [details] [diff] [review]
[in-fx-team] proposed patch

Pushed to fx-team:
Comment 9 Blair McBride [:Unfocused] (UNAVAILABLE) 2011-11-17 18:00:44 PST
Comment 11 Paul Silaghi, QA [:pauly] 2011-12-27 08:35:44 PST
Could you please tell me how to test this ?
Comment 12 Michael Ratcliffe [:miker] [:mratcliffe] 2011-12-27 15:25:27 PST
Sure, simply open the web console and type:

If all is well you should be informed that inspectstyle is not defined.
Comment 13 Paul Silaghi, QA [:pauly] 2011-12-28 00:27:02 PST
Based on comment 12, this is verified fixed on Firefox 10 Beta1:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0) Gecko/20100101 Firefox/10.0
Mozilla/5.0 (X11; Linux x86_64; rv:10.0) Gecko/20100101 Firefox/10.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:10.0) Gecko/20100101 Firefox/10.0

Note You need to log in before you can comment on or make changes to this bug.